Bug 108608 - CAN-2003-0542 Update to 2.0.48 and re-enable patches
Summary: CAN-2003-0542 Update to 2.0.48 and re-enable patches
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL: http://www.apache.org/dist/httpd/Anno...
Whiteboard:
Keywords: Security
: 108584 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-30 16:41 UTC by Robert Scheck
Modified: 2014-01-21 22:48 UTC (History)
1 user (show)

Fixed In Version: 2.0.48-1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-08 16:16:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Re-enabled cnfdir patch for 2.0.48 (566 bytes, patch)
2003-10-30 16:42 UTC, Robert Scheck
no flags Details | Diff
Re-enabled sslio patch for 2.0.48 (698 bytes, patch)
2003-10-30 16:42 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2003-10-30 16:41:26 UTC
Description of problem:
httpd 2.0.48 was released to fix 2 security vulnerabilities.

Version-Release number of selected component (if applicable):
httpd-2.0.47-10

Actual results:
There are 2 patches to re-enable and one patch can be removed.

Expected results:
Update to 2.0.48, re-enable the patches and remove one patch.
And may you write in httpd-2.0.36-redhat.patch "Fedora Linux" instead 
of "Fedora"..."Fedora Linux" looks better ;-)

Additional info:
Patch 25: Can be removed, because it's already in httpd 2.0.48
Patch 34: Has to re-enable (attached httpd-2.0.48-sslio.patch)
Patch 40: Has to re-enable (attached httpd-2.0.48-cnfdir.patch)

In the httpd.spec, at "# Remove unpackaged files" has to be added the line:
$PPM_BUILD_ROOT%{_libdir}/httpd/build/config.nice
or rpmbuild doesn't create rpms...

The patches were adapted after best knowledge and conscience. httpd 2.0.48 
with my re-enabled patches is working fine, here.

Comment 1 Robert Scheck 2003-10-30 16:42:03 UTC
Created attachment 95605 [details]
Re-enabled cnfdir patch for 2.0.48

Comment 2 Robert Scheck 2003-10-30 16:42:37 UTC
Created attachment 95606 [details]
Re-enabled sslio patch for 2.0.48

Comment 3 Robert Scheck 2003-10-30 17:49:00 UTC
Oh sorry, one mistake:

--- snipp ---
%files devel
[...]
%{_libdir}/httpd/build/config.nice
--- snapp ---

instead of:

> In the httpd.spec, at "# Remove unpackaged files" has to be added the line:
> $PPM_BUILD_ROOT%{_libdir}/httpd/build/config.nice
> or rpmbuild doesn't create rpms...


Comment 4 Bill Nottingham 2003-10-30 17:50:20 UTC
*** Bug 108584 has been marked as a duplicate of this bug. ***

Comment 5 Joe Orton 2003-11-07 11:45:37 UTC
Thanks Robert.  I have update packages ready for testing at:

http://people.redhat.com/jorton/FedoraC1-httpd/   (yum-enabled)

If anyone can try these out - please post any feedback here.

Comment 6 Robert Scheck 2003-11-07 16:32:58 UTC
Oh nice...you fixed other things, too. May you can upload a source rpm, that I can test it at Red Hat 9? Sorry, I only have Red Hat 9 at my productive systems.

Comment 7 Joe Orton 2003-11-07 16:39:55 UTC
Sure, done.

Comment 8 Robert Scheck 2003-11-10 18:16:37 UTC
I only can say, it works very well here on my systems...

Comment 9 Joe Orton 2003-11-25 09:55:26 UTC
Updated -1.2 packages are the current test version:

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/1/i386/

Comment 10 Joe Orton 2004-01-08 16:16:10 UTC
The update to httpd-2.0.48-1.2 has now been issued.


Note You need to log in before you can comment on or make changes to this bug.